MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Tests >

# Scale_Test : Helper

    Scale_Test - superclass: helper super-superclass:node - classID: #(1962490887, 515064320)

Value > MAXWrapper > Node > Helper > Scale_Test

| Particle Flow - Quick Navigation

Description:

Scale_Test lets the particle system check particle scaling, or particle size before or after scaling, and branch accordingly. The test provides a variety of axis options for measuring scale or size.

Constructor:

    Scale_Test...

Properties:

    <Scale_Test>.Test_Type Integer default:2

Controls the state of the Type drop-down list in the UI. Possible values are:

0: PreScale Size - Tests the size before scaling.

1: PostScale Size - Tests the size after scaling.

2: Scale - Tests the scaling percentage.

    <Scale_Test>.Axis_Type Integer default:0

Controls the state of the Axis drop-down list in the UI. Possible values are:

0: Average - Obtains an average measurement by adding the sizes on all three axes and then dividing by three.

1: Minimum - Uses the smallest dimension.

2: Median - Uses the middle dimension in order of size. For example, if the particle dimensions are X=5, Y=6, Z=12, then the number compared to Test Value would be 6.

3: Maximum - Uses the largest dimension.

4: X/Y/Z - Uses the specified dimension.

    <Scale_Test>.Condition_Type Integer default:1

Controls the Text condition type.

Possible values are

0: If Less Than Test Value

1: If Greater Than Test Value

    <Scale_Test>.Size_Value Float default:10.0 --world units

The specific size to test for. Used when .Test_Type is set to 0: PreScale Scale or 1: PostScale Size.

    <Scale_Test>.Size_Variation Float default:0.0 --world units alias: Variation

The amount by which the value tested for can vary randomly.

    <Scale_Test>.Scale_Value Float default:100.0 &endash;percentage

The specific scaling factor to test for. Used only when .Test_Type is set to 2: Scale

    <Scale_Test>.Scale_Variation Float default:0.0 --percentage

The amount by which the value tested for can vary randomly.

    <Scale_Test>.Sync_Type Integer default 0

Controls the state of the Sync By drop-down list in the UI. Specifies the time frame for applying animated parameters:

0: Absolute Time - Any keys set for parameters are applied at the actual frames for which they're set.

1: Particle Age - Any keys set for parameters are applied at the corresponding frames of each particle's existence.

2: Event Duration - Any keys set for parameters are applied to each particle starting when it first enters the event.

    <Scale_Test>.Random_Seed Integer default:12345

Specifies the randomization value.

## Scale_Test Interfaces:

Interface: action

Interface: PViewItem

Interface: test

#### See Also

- Particle Flow Classes